/* this file simulate the execution behaviour of TestRT unit test and instrumented app
 * when running on the target with TDP using breakPoint mode (RTRT_IO=NONE)
 * Its goal is to provide a short source file to compil without instrumentation or unit testing
 * to test the debugger script.
 * The unique modification to be done is the RTRT_BUFFER_SIZE that must be as defined in the TDP io_settings.
 */
#define RTRT_SPRINTF
#define RTRT_BUFFER_SIZE 64
#define INIT_VALUE_SUPPORTED 0x59A6
static int var_init_supported=INIT_VALUE_SUPPORTED;

char atl_buffer[RTRT_BUFFER_SIZE];
int atl_stop;
void priv_writeln(int f, char * s)
{
  atl_stop=0;
}
void priv_close(int f)
{
  atl_stop=1;
  priv_writeln(f,atl_buffer);
}
void dataTypes(void)
{
#ifdef RTRT_SPRINTF
	int x;
	x=sprintf(atl_buffer," c %d",sizeof(char));
	x+=sprintf(&atl_buffer[x]," s %d",sizeof(short));
	x+=sprintf(&atl_buffer[x]," l %d",sizeof(long));
	x+=sprintf(&atl_buffer[x]," ll %d",sizeof(long long));
	x+=sprintf(&atl_buffer[x]," i %d\n",sizeof(int));
	x+=sprintf(&atl_buffer[x]," initSup %d\n",(var_init_supported==INIT_VALUE_SUPPORTED));
#else
	char *buf=atl_buffer;
	*buf++=' ';
	*buf++='c';
	*buf++=' ';
	*buf++='0'+sizeof(char);
	*buf++=' ';
	*buf++='s';
	*buf++=' ';
	*buf++='0'+sizeof(short);
	*buf++=' ';
	*buf++='l';
	*buf++=' ';
	*buf++='0'+sizeof(long);
	*buf++=' ';
	*buf++='l';
	*buf++='l';
	*buf++=' ';
	*buf++='0'+sizeof(long long);
	*buf++=' ';
	*buf++='i';
	*buf++=' ';
	*buf++='0'+sizeof(int);
	*buf++=0x0A;
	*buf++=' ';
	*buf++='i';
	*buf++='n';
	*buf++='i';
	*buf++='t';
	*buf++='S';
	*buf++='u';
	*buf++='p';
	*buf++=' ';
	*buf++='0'+(var_init_supported==INIT_VALUE_SUPPORTED);
	*buf++=0x0A;
	*buf++=0;
#endif
	priv_writeln(1,atl_buffer);
}
void test( void )
{
  int i;
  char v;
  for(i=0;i<RTRT_BUFFER_SIZE;i++)
    atl_buffer[i]=0;
  atl_stop=0;
  for(i=0,v=(int)'A';v<=('Z')+1;i++,v++)
    atl_buffer[i]=v;
  atl_buffer[i++]=0x0A;
  priv_writeln(1,atl_buffer);
  for(i=0,v=(int)'a';v<=('z')+1;i++,v++)
    atl_buffer[i]=v;
  atl_buffer[i++]=0x0A;
  atl_buffer[i++]='t';
  atl_buffer[i++]='d';
  atl_buffer[i++]='p';
  atl_buffer[i++]=' ';
  atl_buffer[i++]='e';
  atl_buffer[i++]='n';
  atl_buffer[i++]='d';
  atl_buffer[i++]=0x0A;
  atl_buffer[i++]=0;
  priv_writeln(1,atl_buffer);
  atl_stop=1;
  priv_close(1);
}
int main( void )
{
	dataTypes();
	test();
  return 0;
}

