#include <stdlib.h>
#include <stdio.h>

#define RAM_CLEAN_SIZE 20
#define INIT_VALUE_SUPPORTED 0x59A6
static int var_init_supported=INIT_VALUE_SUPPORTED;
static unsigned char ram_clean[RAM_CLEAN_SIZE];

int main()
{
int i=RAM_CLEAN_SIZE; do {i--; } while(ram_clean[i]==0 && i >0);
if(i) printf("RTRT_RAM_CLEAN must be Unchecked\n");
else  printf("RTRT_RAM_CLEAN can be checked\n");
if(var_init_supported==INIT_VALUE_SUPPORTED) printf("RTRT_VARIABLE_INIT_SUPPORTED can be checked\n");
else printf("RTRT_VARIABLE_INIT_SUPPORTED must be Unchecked\n");

printf("size_t: %d bits\n",sizeof(size_t)*8);
printf("int: %d bits\n",sizeof(int)*8);
printf("short: %d bits\n",sizeof(short int)*8);
printf("long int: %d bits\n",sizeof(long int)*8);
printf("long long int: %d bits\n",sizeof(long long int)*8);
printf("char *: %d bits\n",sizeof(char *)*8);

return 0;
}
